U++ - Bug #144
Fix BlockStream behaviour
10/26/2011 08:32 PM - Miroslav Fidler

Status: Approved Start date: 10/26/2011
Priority: Normal Due date:

Assignee: Tomas Rylek % Done: 0%
Category: General Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Fix following issues:

- stream sometimes wites zero sized block
- sometimes the order of blocks written is not quite logical

History

#1 - 11/16/2011 03:30 PM - Miroslav Fidler
- Status changed from New to Ready for QA

#2 - 11/16/2011 04:33 PM - Tomas Rylek
- Status changed from Ready for QA to Approved

TCore/DataBase test run OK (file-intensive application)
Zero block size - fixed
Block write order - improved:

OracleBlob::Write(0, 4096): res = 0, n = 4096
OracleBlob::Write(4096, 40960): res = 0, n = 40960

OracleBlob::Write(45056, 1897):res = 0, n = 1897

(result of Put-ting a 49K data on the BLOB stream)
